/*
 *  StDummyWindowGLContext.h
 *  SBEngine
 *
 *  Created by James Walker on 12/13/07.
 *  Copyright 2007 ScriptPerfection Enterprises, Inc.. All rights reserved.
 *
 */

#pragma once

#include "FFChoosePixelFormat.h"
#include <memory>
class XDummyWindowGLContext;


/*!
	@class		StDummyWindowGLContext
	
	@abstract	Stack class to temporarily create a window and activate an
				OpenGL context for it.
*/
class StDummyWindowGLContext
{
public:
				StDummyWindowGLContext();
				~StDummyWindowGLContext();

	void		MakeCurrent();

private:
	std::auto_ptr<XDummyWindowGLContext>	mImp;
};
